Subject: Re: bug#30683: [PATCH] build: add a configure flag to force --sandbox

From: Assaf Gordon <[email-masked]>
Date: Fri, 2 Mar 2018 16:07:45 -0700

tag 30683 notabug
close 30683
stop

Hello Mike,

On Fri, Mar 02, 2018 at 05:28:15PM -0500, Mike Frysinger wrote:
> * configure.ac: Add --enable-forced-sandbox option, and define
> ENABLE_FORCED_SANDBOX when enabled.

Conceptually I like your idea (since I've added the original
--sandbox option to both gnu sed and gawk).

However,
Adding such "--enable" options to "./configure" goes against the gnu coding standards,
which say:

   No ‘--enable’ option should ever cause one feature to replace another.
   No ‘--enable’ option should ever substitute one useful behavior for
   another useful behavior. The only proper use for ‘--enable’ is for
   questions of whether to build part of the program or exclude it.
   (source: https://www.gnu.org/prep/standards/html_node/Configuration.html)

As such, I'm closing this as not a bug, but discussion can continue
by replying to this thread.

regards,
 - assaf